%define module	Net-NIS
%define name	perl-%{module}
%define version 0.43
%define release %mkrel 5

Summary:	NIS interface to Perl 5	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This is a snapshot release of the NIS interface to Perl 5.  There are
three parts to the interface: the raw component (Net::NIS), the object-
oriented component (Net::NIS::Table), and the tied interface (Net::NIS).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make OPTIMIZE="%{optflags}"
# (sb) known to fail:
#  http://nntp.x.perl.org/group/perl.cpan.testers/58036 (and more)
#make test

%install
rm -rf %{buildroot} 
%makeinstall_std 

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.43-5mdv2009.0
+ Revision: 258056
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.43-4mdv2009.0
+ Revision: 246159
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.43-2mdv2008.1
+ Revision: 152223
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2008.1
+ Revision: 110284
- update to new version 0.43

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.1
+ Revision: 109589
- new version

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.34-6mdv2008.0
+ Revision: 25228
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.34-5mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL
- use mkrel

* Tue Dec 27 2005 Stew Benedict <sbenedict@mandriva.com> 0.34-4mdk
- rebuild

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.34-3mdk
- rebuild for new perl

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.34-2mdk
- rebuild, reupload from correct host

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.34-1mdk
- first Mandrake release, optional feature for nocatauth

